Beta

List Schedules

GEThttps://api.youvico.com/api/projects/:id/schedules
Rate Limit
Default

Lists a project's schedules.

Example

curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "data": [
    {
      "id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
      "name": "Final review",
      "description": "Review the final cut",
      "startDate": "2026-05-31",
      "startTime": "09:00",
      "endDate": "2026-06-01",
      "endTime": "18:00",
      "color": "BLUE"
    }
  ]
}
Request
curl -X GET 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY'
Response200 OK
{
  "data": [
    {
      "id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
      "name": "Final review",
      "description": "Review the final cut",
      "startDate": "2026-05-31",
      "startTime": "09:00",
      "endDate": "2026-06-01",
      "endTime": "18:00",
      "color": "BLUE"
    }
  ]
}

Request

Path

idstringrequired
Project ID

Response

Returns 200 OK.

dataarray
Schedules
data[].idstring
Schedule ID

Example: 5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b

data[].namestring
Schedule name

Example: Final review

data[].descriptionstring?
Schedule description

Example: Review the final cut

data[].startDatestring
Start date. YYYY-MM-DD

Example: 2026-05-31

data[].startTimestring?
Start time. HH:mm, null for an all-day schedule

Example: 09:00

data[].endDatestring?
End date. YYYY-MM-DD, null when it ends on the start date

Example: 2026-06-01

data[].endTimestring?
End time. HH:mm

Example: 18:00

data[].colorstring
Schedule color

Possible values: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY

Example: BLUE